/* Lommel-Seeliger diffuse shader.
 * For rough surfaces.
 */

float LommelSeeligerBRDF( normal N; vector I, L )
{
	vector Normal = faceforward( normalize(N), I, N );
	float nl = Normal . normalize( L );
	float nv = Normal . normalize( -I );

	return 1 / (1 + (nv * (1/nl)));
}
