/* Minnaert diffuse BRDF,
 * N, I, and L should be passed as-is directly from the shader.
 * gloss: larger is shinier, smaller is rougher.
 */

float MinnaertBRDF( normal N; vector I, L; float darkness )
{
	vector Normal = faceforward( normalize(N), I, N );
	float nl = Normal . normalize( L );
	float nv = Normal . normalize( -I );

	return pow(nl, darkness) * pow( nv, (darkness - 1.0) );
}
