/* Phong specular BRDF,
 * N, I, and L should be passed as-is directly from the shader.
 * gloss: larger is shinier, smaller is rougher.
 */
float PhongBRDF( normal N; vector I, L; float gloss )
{
	vector ViewRefl = normalize( reflect( I, N ) );
	vector Light = normalize( L );
	
	return pow( (ViewRefl.Light), gloss );
}
